ALL_CARDS by default, or the panel given via panelId). Editable only while the listing is DRAFT / CHANGES_REQUESTED / REJECTED (max 20 cards). A card is purchasable once price is set and inStock is true.Authorization: ********************{
"titleEn": "Silver top-up",
"titleAr": "تعبئة فضية",
"descriptionEn": "Top up your mobile with SAR 50 instantly.",
"descriptionAr": "شحن رصيد هاتفك بمبلغ 50 ريال فوراً.",
"imageUrl": "https://cdn.acme.sa/topup-silver.png",
"design": "banner",
"linkType": "deeplink",
"url": "https://partner.acme.sa/buy/silver",
"price": "49.99",
"originalPrice": "79.99",
"currency": "SAR",
"inStock": true,
"perUserLimit": 5,
"badgeLabel": "Best seller",
"badgeColor": "#E8553C",
"bannerImageUrl": "https://cdn.acme.sa/topup-silver-hero.png",
"highlightText": "Limited-time offer",
"termsEn": "Digital card delivered instantly. Non-refundable.",
"termsAr": "البطاقة الرقمية تُسلَّم فوراً وغير قابلة للاسترداد.",
"offerExpiresAt": "2026-12-31T23:59:59.000Z",
"panelId": "12",
"fulfillmentMode": "INSTANT"
}curl --location 'https://fin-api.digetpay.com/v1/developer-portal/applications//listing/offers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"titleEn": "Silver top-up",
"titleAr": "تعبئة فضية",
"descriptionEn": "Top up your mobile with SAR 50 instantly.",
"descriptionAr": "شحن رصيد هاتفك بمبلغ 50 ريال فوراً.",
"imageUrl": "https://cdn.acme.sa/topup-silver.png",
"design": "banner",
"linkType": "deeplink",
"url": "https://partner.acme.sa/buy/silver",
"price": "49.99",
"originalPrice": "79.99",
"currency": "SAR",
"inStock": true,
"perUserLimit": 5,
"badgeLabel": "Best seller",
"badgeColor": "#E8553C",
"bannerImageUrl": "https://cdn.acme.sa/topup-silver-hero.png",
"highlightText": "Limited-time offer",
"termsEn": "Digital card delivered instantly. Non-refundable.",
"termsAr": "البطاقة الرقمية تُسلَّم فوراً وغير قابلة للاسترداد.",
"offerExpiresAt": "2026-12-31T23:59:59.000Z",
"panelId": "12",
"fulfillmentMode": "INSTANT"
}'{
"id": "42",
"panelId": "12",
"sortOrder": 0,
"titleEn": "Silver top-up",
"titleAr": "تعبئة فضية",
"descriptionEn": "string",
"descriptionAr": "string",
"imageUrl": "https://storage.googleapis.com/...?Signature=...",
"design": "banner",
"linkType": "deeplink",
"url": "https://partner.acme.sa/buy/silver",
"price": "49.99",
"originalPrice": "79.99",
"currency": "SAR",
"inStock": true,
"available": true,
"perUserLimit": 5,
"badgeLabel": "Best seller",
"badgeColor": "#E8553C",
"bannerImageUrl": "https://storage.googleapis.com/...?Signature=...",
"highlightText": "Limited-time offer",
"termsEn": "Digital card delivered instantly. Non-refundable.",
"termsAr": "البطاقة الرقمية تُسلَّم فوراً وغير قابلة للاسترداد.",
"offerExpiresAt": "2026-12-31T23:59:59.000Z",
"fulfillmentMode": "INSTANT"
}